Subject: Re: bug#47526: Bare metal install on Lenovo Yoga 500 fails: cannot find wifi

From: Leo Famulari <[email-masked]>
Date: Wed, 31 Mar 2021 16:13:06 -0400

On Wed, Mar 31, 2021 at 08:28:35PM +0300, Teppo Saari wrote:
> trying to install Guix from an USB stick. When looking for a Wifi
> network, the installer cannot find any network. Then an unexpected
> problem occurs. The Wifi driver is an integrated Intel card, iwlwifi
> driver works normally on DragonflyBSD. Attached is a screenshot of the
> problem (apologies for resolution and lighting conditions) and system
> information.

Guix uses the linux-libre kernel, which removes support for devices that
lack freely licensed drivers and firmware.

Unfortunately, all iwlwifi devices are in that category. So, your wifi
chip is not supported on Guix System.

You can try another wifi card that is supported (basically, ath9k) or
you can install using a different netowrk interface and then configure
your Guix System to use a kernel that supports your hardware.